[Rainmeter]
Author=Yus
AppVersion=3.0
Background=bg.png
Update=30


[Variables]
diskC=C:
diskD=D:

; ----------------------------------; MEASURES return some kind of value; ----------------------------------

[MoveM]
Measure=Calc
Formula=((Counter % 100)*4+(0-40))


[MeterAnim]
Meter=Image
ImageName=anim.png
DynamicVariables=1
Y=4
X=[MoveM]

[measureTotalDiskC]
Measure=FreeDiskSpace
Drive=#diskC#
Total=1

[measureUsedDiskC]
Measure=FreeDiskSpace
Drive=#diskC#
InvertMeasure=0 

[measureBarC]
Measure=FreeDiskSpace
Drive=#diskC#
InvertMeasure=1

[measureBarD]
Measure=FreeDiskSpace
Drive=#diskD#
InvertMeasure=1 

[measureTotalDiskD]
Measure=FreeDiskSpace
Drive=#diskD#
Total=1

[measureUsedDiskD]
Measure=FreeDiskSpace
Drive=#diskD#
InvertMeasure=0

; STYLES 
[styleText]
StringAlign=RIGHT
FontEffectColor=0,0,0,20
FontColor=255,255,255,180
FontFace=DeusEx
FontSize=9
AntiAlias=1
NumOfDecimals=1
AutoScale=1


[styleBar]
BarImage=bar.png
BarOrientation=HORIZONTAL

; ----------------------------------
; METERS display images, text, bars, etc.
; ----------------------------------

;Disk C
[meterLabelDiskC]
Meter=STRING
MeterStyle=styleText
X=45
Y=6
Text="#diskC#\"

[meterValueDiskC]
Meter=STRING
MeterStyle=styleText
FontColor=255,255,255,240
MeasureName=measureUsedDiskC
X=155
Y=6
Text="%1B"

[meterTotalDiskC]
Meter=String
MeterStyle=styleText
MeasureName=measureTotalDiskC
X=235
Y=6
Text=" \ %1B"

;Disk D
[meterLabelDiskD]
Meter=STRING
MeterStyle=styleText
X=45
Y=50
Text="#diskD#\"


[meterValueDiskD]
Meter=STRING
MeterStyle=styleText
FontColor=255,255,255,240
MeasureName=measureUsedDiskD
X=155
Y=50
Text="%1B"

[MeterTotalDiskD]
Meter=String
MeterStyle=styleText
MeasureName=measureTotalDiskD
X=235
Y=50
Text=" \ %1B"

;Bars
[iciC]
Meter=Image
ImageName=ici.png
X=17
Y=21
LeftMouseUpAction=!Execute ["#diskC#\"]

[iciD]
Meter=Image
ImageName=ici.png
X=17
Y=65
LeftMouseUpAction=!Execute ["#diskD#\"]

[meterBarDiskC]
Meter=BAR
MeterStyle=styleBar
MeasureName=measureBarC
X=17
Y=21

[meterBarDiskD]
Meter=BAR
MeterStyle=styleBar
MeasureName=measureBarD
X=17
Y=65